Koozali.org formerly Contribs.org

Wordpress themes

Wordpress themes
« on: April 28, 2012, 08:11:03 AM »
Hi,

I'm new to linux and very new to wordpress. I want to create an intraweb within my company that people can update (products for Architectural Design) the use of a blog is really appealling.

I have just purchased the book "Wordpress Web Design for Dummies" however...

I have installed Wordpress on my test sever and can create blogs and posts but I cannot seem to load downloaded themes.

So far i have downloaded the theme (twentyten) to the ibays/Primary/files then coped the files and subfolders to

/opt/wordpress/wp-content/themes/twentyten

It appears in the list of available themes to select from in the Wordpress admin area but it just appears as blank when selected.
I have checked the files are all there including subfolders

I have changed the permissions of the files to 777

I'm at a loss as to what to try next. I have trawled the forums but have not turned up nothing. Any help
would be appreciated

Cheers
Allan

Re: Wordpress themes
« Reply #1 on: April 28, 2012, 03:51:54 PM »
Never use permission 777. It's not necessary. 777 will sometimes be recommended in 'recipes' on the web. That's either done in ignorance, or by people who don't have 'root' powers on the server. 770 with permissions root.www or www.www  will make the directories writable by the web application.

Be very careful what wordpress themes you use. There are many around with security problems. If you must use wordpress, be sure to keep the installation updated.

http://www.google.ca/search?q=security+advisory+wordpress

Re: Wordpress themes
« Reply #2 on: April 29, 2012, 03:20:25 AM »
Thanks Charlie

I have chaged the permissions to 770 and owner/group to root.www but it is still not working.

I have even tried copying in the orginal "classic" theme from Wordpress and overwritten
the theme that comes with the standard install and that also just becomes a blank screen

whatever I'm doing is breaking the themes although they display in the admin page of wordpress as being available
they simply don't work. Does anyone have any ideas or links they can direct me too?

Our admin screen says there is an update available but if I run http://www.yourmaindomain/wordpress/wp-admin/upgrade.php
it says it is up to date. Do I need to do a manual update of wordpress?

PS the website is for our intraweb and has no external access so security is not a high priority but usability is.

Cheers
Allan




Offline mmccarn

  • *
  • 2,499
Re: Wordpress themes
« Reply #3 on: April 29, 2012, 03:57:47 PM »
Why are you installing themes manually, instead of installing them from within the wordpress dashboard?

Are there any relevant error messages in /var/log/messages, /var/log/httpd/access_log or /var/log/httpd/error_log (specifically related to permissions or PHP Basedir settings?)

What version of wordpress are you using?  If your wordpress version is old (to support old PHP, for example), then the new themes might not work.

If the two questions I've asked above don't point you to an actual error message, you probably want to start over and outline your configuration completely (sme version, wordpress version, wordpress installation method, wordpress updates applied, sme updates applied, other, relevant sme contribs installed, etc).

Re: Wordpress themes
« Reply #4 on: April 30, 2012, 11:21:29 AM »
Hi,

I'm installing the theme as per the wordpress instructions. Copy the theme to /opt/wordpress/wp-content/themes/xxxxx/. once they are there I am trying to apply them from the wordpress dashboard but the preview screen is blank.

Sorry I should have looked at the log earlier, as I said I'm new to linux so its a bit of a learning curve.
in the log I get the following line entries after trying to select the theme "twentyten"

PHP Fatal error:  Call to undefined function:  body_class() in /opt/wordpress/wp-content/themes/twentyten/header.php on line 55

line 55 is
<body <?php body_class(); ?>>

I don't know PHP code (just begining to learn, hence my installing Wordpress) so I don't know if its a code
issue or an issue with my system. 

The server is a fresh install of 7.5.1 with all updates applied and no additional contribs.

If I select the other theme I have downloaded I get
HP Warning:  main(/opt/wordpress/wp-content/themes/ifeature/core/core-init.php): failed to open stream: Permission denied in /opt/wordpress/wp-content/themes/ifeature/functions.php on line 251

PHP Fatal error:  main(): Failed opening required '/opt/wordpress/wp-content/themes/ifeature/core/core-init.php' (include_path='.:/usr/share/pear-addons:/usr/share/pear') in /opt/wordpress/wp-content/themes/ifeature/functions.php on line 251

line 251 is
require_once ( get_template_directory() . '/core/core-init.php' );

../core/core-init.php exists and is writable
-rw-r--r--  1 root www 1964 Apr 24 21:43 core-init.php

"rpm -q php" returns
php-4.3.9-3.36

One thing I have found with SME is I don't know where to locate a list of current rpm's to know if
the files versions are in fact up to date. I'm assuming that php-4.3.9-3.36 is current

It maybe something obvious that I have yet to learn, if so just point me in the direction of something to read and learn more


Regards
Allan

Offline Stefano

  • *
  • 10,782
  • Skype account: maghissimo
    • Smeserver italian community
Re: Wordpress themes
« Reply #5 on: April 30, 2012, 01:46:47 PM »
last version of wordpress needs php5.X, so it's unsupported by SME 7.5.1
Consulente di Smeserver.it -  Soluzioni e supporto su Sme server in Italia

Re: Wordpress themes
« Reply #6 on: April 30, 2012, 10:47:21 PM »
Hi,

Is it supported in SME 8.0 ? I see you can install PHP 5 within sme 7.5.1 http://wiki.contribs.org/PHP5

Will installing this work even if its unsupported?

Cheers
Allan

Re: Wordpress themes
« Reply #7 on: May 01, 2012, 09:00:24 AM »
I use that contrib on a couple of sme boxes with no issues. I don't think its as fast as it could be. But other than that not a single issue

Offline janet

  • ****
  • 4,806
Re: Wordpress themes
« Reply #8 on: May 23, 2012, 05:54:23 AM »
Allan Pritchard

Quote
Will installing this work even if its unsupported?

Do NOT install http://wiki.contribs.org/PHP5
om sme8, it already has php5.x

Please search before asking, an answer may already exist.
The Search & other links to useful information are at top of Forum.

Re: Wordpress themes
« Reply #9 on: May 24, 2012, 09:24:12 AM »
Just an update:

I have installed PHP 5.x on my SME 7 server. Wordpress themes are working perfectly
our intranet is up and going with no problems.

Thank you to everyone for their assistance.

Cheers
Allan

Offline Stefano

  • *
  • 10,782
  • Skype account: maghissimo
    • Smeserver italian community
Re: Wordpress themes
« Reply #10 on: May 24, 2012, 10:07:52 AM »
Just an update:

I have installed PHP 5.x on my SME 7 server. Wordpress themes are working perfectly
our intranet is up and going with no problems.

Allan

Allan.. you'd start an upgrade to SME8 path..
Consulente di Smeserver.it -  Soluzioni e supporto su Sme server in Italia

Offline mmccarn

  • *
  • 2,499
Re: Wordpress themes
« Reply #11 on: May 24, 2012, 01:57:00 PM »
I have installed PHP 5.x on my SME 7 server.

Be sure to address the security issue with php5-cgi that is discussed here: http://forums.contribs.org/index.php/topic,48612.0.html